Bug 961375 - Review Request: rubygem-thread_safe - Thread-safe collections and utilities for Ruby
Review Request: rubygem-thread_safe - Thread-safe collections and utilities f...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Achilleas Pipinellis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 09:48 EDT by Josef Stribny
Modified: 2016-01-04 00:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-30 10:06:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
axilleas: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Josef Stribny 2013-05-09 09:48:07 EDT
Spec URL: http://data-strzibny.rhcloud.com/rubygem-thread_safe.spec
SRPM URL: http://data-strzibny.rhcloud.com/rubygem-thread_safe-0.1.0-1.fc19.src.rpm
Description: A collection of data structures and utilities to make thread-safe
programming in Ruby easier.
Fedora Account System Username: jstribny

Doesn't really work with Ruby 2.0 yet, so we need to wait. See upstream bug [1].

[1] https://github.com/headius/thread_safe/issues/10
Comment 1 Josef Stribny 2013-07-29 07:53:53 EDT
SPEC: http://data-strzibny.rhcloud.com/rubygem-thread_safe.spec
SRPM: http://kojipkgs.fedoraproject.org//work/tasks/1530/5671530/rubygem-thread_safe-0.1.2-1.fc20.src.rpm
KOJI: http://koji.fedoraproject.org/koji/taskinfo?taskID=5671530

* Update to 0.1.2
* Support JRuby extension
* Two MRI issues remain; not really bugs in thread_safe

thread_safe is needed for Ruby on Rails 4.0 in Fedora and blocks the update[1].

Note: Paths/macros for JRuby are taken from early packaging draft by Slavek Kabrda[2], they don't seem to be part of official guidelines yet.

[1] https://fedoraproject.org/wiki/Changes/Ruby_on_Rails_4.0
[2] https://fedoraproject.org/wiki/User:Bkabrda/Packaging_Ruby_JRuby
Comment 2 Josef Stribny 2013-07-29 09:17:44 EDT
Sorry, I used original .jar with binary files which is not allowed by Fedora guidelines, so I am dropping the JRuby support for now (as we don't have so much time for Rails 4.0) keeping only the update to 0.1.2.

SPEC: http://data-strzibny.rhcloud.com/rubygem-thread_safe.spec
SRPM: http://kojipkgs.fedoraproject.org//work/tasks/1895/5671895/rubygem-thread_safe-0.1.2-2.fc20.src.rpm
KOJI: http://koji.fedoraproject.org/koji/taskinfo?taskID=5671894

Thanks.
Comment 3 Achilleas Pipinellis 2013-07-29 13:30:25 EDT
I'll take this for a review.
Comment 4 Achilleas Pipinellis 2013-07-29 14:38:58 EDT
Hi Josef,

This is good to go when you fix two minor issues.

- non-executable-script Rakefile 0644L /usr/bin/env
  Removing the shebang seems fine to me.

- Use macros where possible
  When removing the jar file I would replace the hardcoded directory with %{buildroot}/%{gem_libdir}/%{gem_name}/jruby_cache_backend.jar
Comment 5 Achilleas Pipinellis 2013-07-29 18:59:36 EDT
Now that I think it of, the second observation doesn't make sense. Ignore it.
Address only the issue with Rakefile and as this is an easy fix I am APPROVING this package.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[-]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     thread_safe-doc
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 30 files have unknown license. Detailed output of
     licensecheck in /home/axil/reviews/961375-rubygem-
     thread_safe/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Ruby:
[x]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %exclude %{gem_cache}, %doc
     %{gem_docdir}, %{gem_spec}, %{gem_libdir}
[x]: Test suite of the library should be run.
[x]: Gem package should exclude cached Gem.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-thread_safe-0.1.2-2.fc20.noarch.rpm
          rubygem-thread_safe-doc-0.1.2-2.fc20.noarch.rpm
rubygem-thread_safe-doc.noarch: E: non-executable-script /usr/share/gems/gems/thread_safe-0.1.2/Rakefile 0644L /usr/bin/env
2 packages and 0 specfiles checked; 1 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-thread_safe-doc rubygem-thread_safe
rubygem-thread_safe-doc.noarch: E: non-executable-script /usr/share/gems/gems/thread_safe-0.1.2/Rakefile 0644L /usr/bin/env
2 packages and 0 specfiles checked; 1 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-thread_safe-doc (rpmlib, GLIBC filtered):
    /usr/bin/env
    rubygem-thread_safe

rubygem-thread_safe (rpmlib, GLIBC filtered):
    ruby(release)
    ruby(rubygems)
    rubygem(atomic)



Provides
--------
rubygem-thread_safe-doc:
    rubygem-thread_safe-doc

rubygem-thread_safe:
    rubygem(thread_safe)
    rubygem-thread_safe



Source checksums
----------------
https://rubygems.org/gems/thread_safe-0.1.2.gem :
  CHECKSUM(SHA256) this package     : 7e2b957c28f2676b0a5ba5c0ad3a92988887922edfcb7be66acac6106881beaf
  CHECKSUM(SHA256) upstream package : 7e2b957c28f2676b0a5ba5c0ad3a92988887922edfcb7be66acac6106881beaf


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 961375
Comment 6 Josef Stribny 2013-07-30 05:56:34 EDT
Thank you for the review, I will delete the shebang before pushing.

New Package SCM Request
=======================
Package Name: rubygem-thread_safe
Short Description: Thread-safe collections and utilities for Ruby
Owners: jstribny
Branches:
InitialCC:
Comment 7 Jon Ciesla 2013-07-30 07:58:59 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.